# ParaFROST | Formal Methods Tools
ParaFROST is a parallel SAT solver with GPU-accelerated inprocessing capable of harnessing NVIDIA CUDA-enabled GPUs in applying modern inprocessing tecnhiques
Keywords: Formal Methods Tools

# ParaFROST

SMT Solver

- Source Code

## At a Glance

Applications | SAT Solver
Developers | Eindhoven University of Technology Albert-Ludwigs-Universität
Inputs | SMTLIB2
Interfaces | CLI
Licenses | GPLv3
Maintenance | Actively Maintained
Techniques | CDCL GPU

## Description

ParaFROST is a parallel SAT solver with GPU-accelerated inprocessing capable of harnessing NVIDIA CUDA-enabled GPUs in applying modern inprocessing tecnhiques in parallel.

## APIs and Bindings

This tool is available through the following interfaces:

- C API: Z3 C API Reference
- C++ API: Z3 C++ Namespace Reference
- .NET API: Z3 .NET Namespace Reference
- Java API: Z3 Java API Reference
- Python bindings: z3-solver PyPI package (Documentation)
- Rust bindings: z3 crate on crates.io

## Publications

- Certified SAT solving with GPU accelerated inprocessing (2024) by Osama, Muhammad et. al. | Appears in FMSD 2024 (79-118) | Volume 62 | Published by Springer | 10.1007/s10703-023-00432-z